/*
 * Class DYNAMIC_LIST [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1731 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1731 [] = {0xFF01,1551,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1731 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1731 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1731 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1731 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1731 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1731 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1731 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1731 [] = {1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1731 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1731 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1731 [] = {0xFF01,1717,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1731 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1731 [] = {0xFF01,1730,860,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1731 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1731[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1731), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1731), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1731), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1731), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1731), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1731), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1731), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1731), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1731), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1731), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1731), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1731), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1731), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1731), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1731), 8811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1731), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1731), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1731), 8804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1731), 12101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1731), 12104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12109, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1731), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12105, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1731), 12101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1731), 12102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1731), 12097, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1731), 12098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12094, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1731), 12386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12093, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1731), 11013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1731), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12385, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12524, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12525, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1731), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1731), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1731(void)
{
	IDSC(desc_1731, 0, 1730);
	IDSC(desc_1731 + 1, 1, 1730);
	IDSC(desc_1731 + 32, 1134, 1730);
	IDSC(desc_1731 + 41, 1060, 1730);
	IDSC(desc_1731 + 47, 1444, 1730);
	IDSC(desc_1731 + 56, 1570, 1730);
	IDSC(desc_1731 + 59, 1534, 1730);
	IDSC(desc_1731 + 66, 916, 1730);
	IDSC(desc_1731 + 72, 636, 1730);
	IDSC(desc_1731 + 86, 1135, 1730);
	IDSC(desc_1731 + 95, 1088, 1730);
	IDSC(desc_1731 + 97, 1245, 1730);
	IDSC(desc_1731 + 100, 387, 1730);
	IDSC(desc_1731 + 102, 778, 1730);
	IDSC(desc_1731 + 103, 658, 1730);
	IDSC(desc_1731 + 104, 340, 1730);
	IDSC(desc_1731 + 112, 254, 1730);
	IDSC(desc_1731 + 115, 554, 1730);
	IDSC(desc_1731 + 116, 878, 1730);
	IDSC(desc_1731 + 117, 794, 1730);
}


#ifdef __cplusplus
}
#endif
